uniform highp vec2 resolution;

attribute highp vec2 a_pos;
attribute mediump vec4 a_color;
attribute highp vec2 a_uv;

varying mediump vec4 v_color;
varying highp vec2 v_uv;

void main()
{
    gl_Position = vec4(a_pos / resolution * 2.0 - vec2(1.0), 0.0, 1.0);
    v_color = a_color;
    v_uv = a_uv;
}
